aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hua <william.hua@canonical.com>2013-07-17 15:55:08 -0400
committerWilliam Hua <william.hua@canonical.com>2013-07-17 15:55:08 -0400
commit08943a8034414894b2835d83f40fc6ae46e46feb (patch)
tree0f224c2a37a30f1d30b1d693405cecc83ef3a52b
parent97501805b86fa1b38ef8d363255e913909cd42cf (diff)
downloadayatana-indicator-keyboard-08943a8034414894b2835d83f40fc6ae46e46feb.tar.gz
ayatana-indicator-keyboard-08943a8034414894b2835d83f40fc6ae46e46feb.tar.bz2
ayatana-indicator-keyboard-08943a8034414894b2835d83f40fc6ae46e46feb.zip
Use Xvfb for headless tests.
-rwxr-xr-xtests/indicator-keyboard-test9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/indicator-keyboard-test b/tests/indicator-keyboard-test
index 2f336e42..7f9e50ea 100755
--- a/tests/indicator-keyboard-test
+++ b/tests/indicator-keyboard-test
@@ -1,3 +1,12 @@
#!/bin/sh
+if test "x$DISPLAY" = "x"
+then
+ Xvfb -ac -noreset -screen 0 800x600x16 -help 2>/dev/null 1>&2
+ XID=`for id in 101 102 103 104 105 106 107 197 199 211 223 227 293 307 308 309 310 311 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 4703 4721 4723 4729 4733 4751 9973 9974 9975 9976 9977 9978 9979 9980 9981 9982 9983 9984 9985 9986 9987 9988 9989 9990 9991 9992 9993 9994 9995 9996 9997 9998 9999 ; do test -e /tmp/.X$id-lock || { echo $id; exit 0; }; done; exit 1`
+ { Xvfb -ac -noreset -screen 0 800x600x16 :$XID -screen 0 800x600x16 -nolisten tcp -auth /dev/null >/dev/null 2>&1 & trap "kill -15 $! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } || { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; }
+ DISPLAY=:$XID
+ export DISPLAY
+fi
+
./indicator-keyboard-tests